FROM node:alpine

WORKDIR /opt/app
RUN chown -R node:node /opt/app
COPY --chown=node:node ./package*.json /opt/app/

USER node
RUN yarn install

COPY --chown=node:node ./index.js ./

EXPOSE 8000
ENTRYPOINT ["node"]
CMD ["index.js"]